<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'MarketoFormPageHOC',
  props: {
    entryId: {
      required: false,
      default: '',
      type: String,
    },
  },
});
</script>

<template>
  <div class="nav-hoc">
    <client-only>
      <nav>
        <a href="/" data-ga-name="home" data-ga-location="header">
          <nuxt-img
            class="desktop"
            src="/nuxt-images/free-trial/free-trial-nav-logo.svg"
            width="160px"
            format="webp"
            quality="99"
          />
          <nuxt-img
            class="mobile"
            src="/nuxt-images/free-trial/free-trial-nav-logo-mobile.svg"
            width="25px"
            format="webp"
            quality="99"
          />
        </a>
      </nav>
    </client-only>
  </div>
</template>

<style lang="scss" scoped>
.nav-hoc {
  min-height: auto;
}
nav {
  display: flex;
  justify-content: space-between;
  padding: 13px $spacing-32;
  left: 0;
  position: sticky;
  right: 0;
  top: 0;
  z-index: 1025;
  background: $color-surface-50;
  backdrop-filter: blur(16px);
  -webkit-backdrop-filter: blur(16px);

  .nav-buttons {
    justify-content: flex-end;
    @media (max-width: $breakpoint-md) {
      display: none;
    }
  }

  .slp-btn-tertiary {
    margin-right: $spacing-24;
    font-weight: 400;
    color: $color-text-200;
  }

  .mobile {
    display: none;
  }

  @media (max-width: $breakpoint-md) {
    flex-wrap: wrap;
    flex-direction: column-reverse;
    justify-content: center;
    padding: 0;
    &:deep(.slp-btn) {
      border-radius: 0;
      justify-content: center;
    }

    .desktop {
      display: none;
    }

    .mobile {
      display: block;
      margin: 12px auto;
    }
  }
  :deep .slp-btn {
    align-items: center;

    box-sizing: border-box;
    display: inline-flex;
    font-family: 'GitLab Sans' 'sans-serif';
    font-size: 18px;
    font-weight: 600;
    line-height: 20px;
    min-width: 68px;
    padding: 11px 16px;
    text-align: center;
    -webkit-text-decoration: none;
    text-decoration: none;
    transition: background-color 0.3s cubic-bezier(0.7, 0, 0.3, 1);
    vertical-align: middle;
    border-radius: 0;
    @media (min-width: $breakpoint-md) {
      border-radius: 4px;
    }
  }
}
</style>
